'use strict'

modules['clear'] = {
    config: [
        ['value', 'float', 0],
    ],

    render: async (frameTime, self, config) => {
        const {
            value,
        } = { ...config }

        const greyscaleBuffer = greyscaleBuffers[getOutputBufferId()]
        for (var i = 0; i < 640 * 480; ++i) {
            greyscaleBuffer[i] = value
        }
    }
}
